// MovieSet.cpp : implementation file
//

#include "stdafx.h"
#include "vfDao.h"
#include "MovieSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMovieSet

IMPLEMENT_DYNAMIC(CMovieSet, CDaoRecordset)

CMovieSet::CMovieSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CMovieSet)
	m_MovieID = 0;
	m_Title = _T("");
	m_Year = 0;
	m_Rating = _T("");
	m_Quality = 0;
	m_Category = _T("");
	m_DVD = FALSE;
	m_Summary = _T("");
	m_nFields = 8;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CMovieSet::GetDefaultDBName()
{
	return _T(".\\movies.mdb");
}

CString CMovieSet::GetDefaultSQL()
{
	return _T("[tblMovie]");
}

void CMovieSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CMovieSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[MovieID]"), m_MovieID);
	DFX_Text(pFX, _T("[Title]"), m_Title);
	DFX_Short(pFX, _T("[Year]"), m_Year);
	DFX_Text(pFX, _T("[Rating]"), m_Rating);
	DFX_Byte(pFX, _T("[Quality]"), m_Quality);
	DFX_Text(pFX, _T("[Category]"), m_Category);
	DFX_Bool(pFX, _T("[DVD]"), m_DVD);
	DFX_Text(pFX, _T("[Summary]"), m_Summary);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CMovieSet diagnostics

#ifdef _DEBUG
void CMovieSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CMovieSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
