// -------------------------------------------------------------------------
// Copyright @ 1997 TCK Software, Incorporated
// All Rights Reserved
// -------------------------------------------------------------------------
#ifndef __MOVIEVF_H__
#define __MOVIEVF_H__

#include "vForm.h"

#include "VCtl2.h"
#include "MovieSet.h"
#include "CategorySet.h"

#define IDVC_TITLE			201
#define IDVC_YEAR			202
#define IDVC_QUALITY		203
#define IDVC_RATING			204
#define IDVC_CATEGORY		205
#define IDVC_DVD			206
#define IDVC_SUMMARY		207

class CMovieVF;

// -------------------------------------------------------------------------
// CMovieHdr Class
// -------------------------------------------------------------------------
class CMovieHdr : public VHeader
{
public:
	CMovieHdr(CMovieVF *pForm);
	virtual ~CMovieHdr() {};

public:
	VStatic		m_lblTitle;
	VStatic		m_lblYear;
	VStatic		m_lblCategory;
	VStatic		m_lblSummary;
	VStatic		m_lblRating;
	VStatic		m_lblDVD;
	VStatic		m_lblQuality;
};


// -------------------------------------------------------------------------
// CMovieRow Class
// -------------------------------------------------------------------------
class CMovieRow : public VRow
{
public:
	CMovieRow(CMovieVF *pForm);
	virtual ~CMovieRow();

public:
	VEdit		m_title;
	VEdit		m_year;
	VDropDown	m_lstCategory;
	VEdit		m_summary;
	VPictCycle	m_cycleRating;
	VCheckBox	m_chkDVD;
	VPictCycle	m_cycleQuality;
};


// -------------------------------------------------------------------------
// CMovieData Class
// -------------------------------------------------------------------------
class CMovieData
{
public:
	void	CopyFromRecordSet(CMovieSet &rSet);
	void	CopyToRecordSet(CMovieSet &rSet);
	int		RatingToInt(LPCSTR szRating);
	CString	IntToRating(int nRating);
public:
	CString		m_title;
	int			m_nYear;
	CString		m_category;
	CString		m_summary;
	short		m_nRating;
	BOOL		m_bDVD;
	BYTE		m_nQuality;
	COleVariant	m_bookmark;
};

typedef CArray<CMovieData, CMovieData&>  CMovieDataArray;

// -------------------------------------------------------------------------
// CMovieVF Class
// -------------------------------------------------------------------------
class CMovieVF : public VForm
{
public:
	CMovieDataArray	m_data;		// Array of movies
	CMovieSet*		m_pDaoSet;	// Pointer to recordset
	CCategorySet*	m_pCatSet;	// Pointer to category recordset

protected:
	CImageList	m_imgRating;	// Image list for Ratings
	CImageList	m_imgQuality;	// Image list for Quality (stars)

public:
	CMovieVF();					// Constructor
	virtual ~CMovieVF();		// Destructor

	BOOL	RequeryData();		// Regets all rows
	BOOL	GetCategories(CStringList& rList);
	CImageList* GetRatingImgList()	{ return &m_imgRating; }
	CImageList* GetQualityImgList()	{ return &m_imgQuality; }

// Operations
public:
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMovieVF)
	public:
	protected:
	//}}AFX_VIRTUAL

protected:
	virtual VRow*	InitRow();

	// --- the following functions deal with the Data ---
	virtual	BOOL	OnGetRow(VRow *pRow);		// Puts row to screen
	virtual BOOL	OnSaveRow(VRow *pRow);		// Save row from screen
	virtual BOOL	OnAddRow(VRow *pRow);		// Add a data row
	virtual BOOL	OnDelete();					// Delete row(s)
	virtual void	OnStartAdd(VRow *pRow);		// Start of Add: Defaults

	virtual BOOL	OnBeginList(VCtl* pCtl, CListBox* pLB);

// Generated message map functions
protected:
	//{{AFX_MSG(CMovieVF)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

#endif
